function [IF,IA]=IFIA(X);
% Computes the Instantaneous Frequency (IF) and the Instantaneous Amplitude
% (IA) of signal X.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% The script is written by Yannis Kopsinis & Elias Aboutanios for demonstration 
% purposes. Therefor, it might not be suitable in general signal cases and
% it is not optimised with respect to speed.

% For questions and/or corrections email at kopsinis@ieee.org.
% Feel free to use and modify the specific script. However, in case of
% publication the citation of the following paper will be greatly
% appreciated:

% Y. Kopsinis, E. Aboutanios, D. A. Waters, S. McLaughlin, "Instantaneous
% Frequency - based Time-Frequency representation of multi-harmonic
% signals," Journal of Acoustical Society of America (JASA),
% vol. 127(2), Feb 2010.

%Also please note that if the bat calls supplied with these functions are
%used, then the above publication MUST be referenced.

an=hilbert(X')';
N=length(an);
IF=abs(angle(an(2:N).*conj(an(1:N-1)))/2/pi);
t=1:length(IF);
IA=abs(an);
IA=IA(2:length(an));
