function [s,t,f]=SPECspwv(signal,Nf,Nt,Ng,Nh)

%Smoothed Pseudo Wigner-Ville time-frequency representation

% --- Input ---
%Signal: Vector containing the signal samples.
%Nf: number of frequency points
%Nt: number of time points
%Ng: time smoothing window length
%Nh: frequency smoothing window length

% --- Output ---
% s: Matrix of the time frequency representation.
% t: Time instances (corresponding to the columns of s)
% F: Vector of normalized frequencies (corresponding to the rows of s)

g=tftb_window(Ng,'Gauss');
h=tftb_window(Nh,'Gauss');
h=h.^2;
[s,t,f]=tfrspwv(signal,1:round(length(signal)/Nt):length(signal),Nf,g,h,1);

end
