function [s,t,f]=SPECwv(signal,Nf,Nt)
%Wigner-Ville time-frequency representation

% --- Input ---
%Signal: Vector containing the signal samples.
%Nf: number of frequency points
%Nt: number of time points

% --- Output ---
% s: Matrix of the time frequency representation.
% t: Time instances (corresponding to the columns of s)
% F: Vector of normalized frequencies (corresponding to the rows of s)

[s,t,f]=tfrwv(signal,1:round(length(signal)/Nt):length(signal),Nf,1);

end
