function [s,t,f]=STFT(signal,Nw,Nf,Nt)
%Short Time Fourier Transform (STFT).

%--- Input ---
%Signal: Vector containing the signal samples.
%Nw: window length
%Nf: number of frequency points
%Nt: number of time points

% --- Output ---
% s: Matrix of the time frequency representation.
% t: Time instances (corresponding to the columns of s)
% F: Vector of normalized frequencies (corresponding to the lines of s)

ww=tftb_window(Nw,'Gauss');
[s,t,f]=tfrstft(signal,1:round(length(signal)/Nt):length(signal),Nf,ww,1);
s=abs(s(1:Nf/2,:));
f=f(1:Nf/2);
end
